var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
import React, { useContext } from "react";
function _extends() {
  _extends = Object.assign || function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null)
    return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;
  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0)
      continue;
    target[key] = source[key];
  }
  return target;
}
var classnames = { exports: {} };
/*!
  Copyright (c) 2018 Jed Watson.
  Licensed under the MIT License (MIT), see
  http://jedwatson.github.io/classnames
*/
(function(module) {
  (function() {
    var hasOwn = {}.hasOwnProperty;
    function classNames2() {
      var classes = [];
      for (var i = 0; i < arguments.length; i++) {
        var arg = arguments[i];
        if (!arg)
          continue;
        var argType = typeof arg;
        if (argType === "string" || argType === "number") {
          classes.push(arg);
        } else if (Array.isArray(arg)) {
          if (arg.length) {
            var inner = classNames2.apply(null, arg);
            if (inner) {
              classes.push(inner);
            }
          }
        } else if (argType === "object") {
          if (arg.toString === Object.prototype.toString) {
            for (var key in arg) {
              if (hasOwn.call(arg, key) && arg[key]) {
                classes.push(key);
              }
            }
          } else {
            classes.push(arg.toString());
          }
        }
      }
      return classes.join(" ");
    }
    if (module.exports) {
      classNames2.default = classNames2;
      module.exports = classNames2;
    } else {
      window.classNames = classNames2;
    }
  })();
})(classnames);
var classNames = classnames.exports;
var ThemeContext = /* @__PURE__ */ React.createContext({});
ThemeContext.Consumer;
ThemeContext.Provider;
function useBootstrapPrefix(prefix, defaultPrefix) {
  var prefixes = useContext(ThemeContext);
  return prefix || prefixes[defaultPrefix] || defaultPrefix;
}
var _excluded = ["bsPrefix", "className", "striped", "bordered", "borderless", "hover", "size", "variant", "responsive"];
var Table = /* @__PURE__ */ React.forwardRef(function(_ref, ref) {
  var bsPrefix = _ref.bsPrefix, className = _ref.className, striped = _ref.striped, bordered = _ref.bordered, borderless = _ref.borderless, hover = _ref.hover, size = _ref.size, variant = _ref.variant, responsive = _ref.responsive, props = _objectWithoutPropertiesLoose(_ref, _excluded);
  var decoratedBsPrefix = useBootstrapPrefix(bsPrefix, "table");
  var classes = classNames(className, decoratedBsPrefix, variant && decoratedBsPrefix + "-" + variant, size && decoratedBsPrefix + "-" + size, striped && decoratedBsPrefix + "-striped", bordered && decoratedBsPrefix + "-bordered", borderless && decoratedBsPrefix + "-borderless", hover && decoratedBsPrefix + "-hover");
  var table = /* @__PURE__ */ React.createElement("table", _extends({}, props, {
    className: classes,
    ref
  }));
  if (responsive) {
    var responsiveClass = decoratedBsPrefix + "-responsive";
    if (typeof responsive === "string") {
      responsiveClass = responsiveClass + "-" + responsive;
    }
    return /* @__PURE__ */ React.createElement("div", {
      className: responsiveClass
    }, table);
  }
  return table;
});
var Table$1 = Table;
const _SizeHelper = class {
};
let SizeHelper = _SizeHelper;
__publicField(SizeHelper, "map", new Map([
  ["xs", [300, 300]],
  ["sm", [400, 400]],
  ["md", [600, 600]],
  ["lg", [800, 800]],
  ["xl", [1e3, "100%"]],
  ["responsive", ["100%", "100%"]]
]));
__publicField(SizeHelper, "width", (size) => {
  return _SizeHelper.map.get(size != null ? size : "md")[0];
});
__publicField(SizeHelper, "height", (size) => {
  return _SizeHelper.map.get(size != null ? size : "responsive")[1];
});
var TableKV$1 = "";
const TableKV = (props) => {
  var _a;
  const renderValue = (key, value) => {
    if (props.smart !== true || !value)
      return value;
    console.log(key);
    return value;
  };
  const width = SizeHelper.width((_a = props.size) != null ? _a : "xs");
  return /* @__PURE__ */ React.createElement("div", {
    className: props.className
  }, props.title && /* @__PURE__ */ React.createElement("h5", null, props.title), /* @__PURE__ */ React.createElement(Table$1, {
    striped: true,
    bordered: true,
    size: "sm",
    className: "text-small",
    style: { width }
  }, /* @__PURE__ */ React.createElement("tbody", null, props.rows.map(([key, value]) => /* @__PURE__ */ React.createElement("tr", {
    key
  }, /* @__PURE__ */ React.createElement("th", {
    className: "min"
  }, key), /* @__PURE__ */ React.createElement("td", null, renderValue(key, value)))))));
};
export { SizeHelper, TableKV };
